## org.jdom
Class IllegalTargetException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--java.lang.IllegalArgumentException
                              |
                              +--org.jdom.IllegalTargetException

public class IllegalTargetException
extends java.lang.IllegalArgumentException

`IllegalTargetException` is thrown when a target is supplied in construction, etc., of a JDOM ``ProcessingInstruction``, and that name breaks XML naming conventions.

Version:
  $Revision: 1.8 $, $Date: 2002/01/08 09:17:10 $
Author:
  Brett McLaughlin
See Also:
  Serialized Form

Constructor Summary
`IllegalTargetException(java.lang.String target)` This will create an `Exception` indicating that the specified target is illegal for the ``ProcessingInstruction`` it was supplied to.
`IllegalTargetException(java.lang.String target, java.lang.String reason)` This will create an `Exception` indicating that the specified target is illegal for the ``ProcessingInstruction`` it was supplied to.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalTargetException

    public IllegalTargetException(java.lang.String target,
                                  java.lang.String reason)

  This will create an `Exception` indicating that the specified target is illegal for the ``ProcessingInstruction`` it was supplied to.

  Parameters:
    `target` - `String` target that breaks rules.
    `reason` - `String` message or reason target is illegal.

### IllegalTargetException

    public IllegalTargetException(java.lang.String target)

  This will create an `Exception` indicating that the specified target is illegal for the ``ProcessingInstruction`` it was supplied to.

  Parameters:
    `target` - `String` target that breaks rules.

Copyright © 2002 Jason Hunter, Brett McLaughlin. All Rights Reserved.